---
apiVersion: v1
kind: List
items:
- apiVersion: v1
  kind: Service
  metadata:
    annotations:
      fabric8.io/git-commit: 52e70b9bbd8b981f03ba76f0f92558428f7c3201
      fabric8.io/git-branch: release-v4.0.137
      fabric8.io/scm-con-url: scm:git:git@github.com:fabric8io/fabric8-platform.git/apps/gitea-db
      fabric8.io/scm-devcon-url: scm:git:git@github.com:fabric8io/fabric8-platform.git/apps/gitea-db
      fabric8.io/scm-tag: app-console-2.0.1
      fabric8.io/scm-url: http://github.com/fabric8io/fabric8-platform/apps/gitea-db
    labels:
      service: gitea-db
      app: gitea-db
      provider: fabric8
      version: 4.0.137
      group: io.fabric8.platform.apps
    name: gitea-db
  spec:
    ports:
    - name: postgres
      port: 5432
      protocol: TCP
      targetPort: 5432
    selector:
      service: gitea-db
      app: gitea-db
      provider: fabric8
      group: io.fabric8.platform.apps
    type: ClusterIP
- apiVersion: v1
  kind: PersistentVolumeClaim
  metadata:
    labels:
      app: gitea-db
      provider: fabric8
      version: 4.0.137
      group: io.fabric8.platform.apps
    name: gitea-db-postgresql-data
  spec:
    accessModes:
    - ReadWriteOnce
    resources:
      requests:
        storage: 5Gi
- apiVersion: v1
  kind: DeploymentConfig
  metadata:
    annotations:
      fabric8.io/git-commit: 52e70b9bbd8b981f03ba76f0f92558428f7c3201
      fabric8.io/metrics-path: dashboard/file/kubernetes-pods.json/?var-project=gitea-db&var-version=4.0.137
      fabric8.io/scm-con-url: scm:git:git@github.com:fabric8io/fabric8-platform.git/apps/gitea-db
      fabric8.io/scm-url: http://github.com/fabric8io/fabric8-platform/apps/gitea-db
      fabric8.io/git-branch: release-v4.0.137
      fabric8.io/scm-devcon-url: scm:git:git@github.com:fabric8io/fabric8-platform.git/apps/gitea-db
      fabric8.io/scm-tag: app-console-2.0.1
    labels:
      service: gitea-db
      app: gitea-db
      provider: fabric8
      version: 4.0.137
      group: io.fabric8.platform.apps
    name: gitea-db
  spec:
    replicas: 1
    selector:
      app: gitea-db
      provider: fabric8
      group: io.fabric8.platform.apps
    strategy:
      rollingParams:
        timeoutSeconds: 7200
      type: Rolling
    template:
      metadata:
        annotations:
          fabric8.io/git-commit: 52e70b9bbd8b981f03ba76f0f92558428f7c3201
          fabric8.io/metrics-path: dashboard/file/kubernetes-pods.json/?var-project=gitea-db&var-version=4.0.137
          fabric8.io/scm-con-url: scm:git:git@github.com:fabric8io/fabric8-platform.git/apps/gitea-db
          fabric8.io/scm-url: http://github.com/fabric8io/fabric8-platform/apps/gitea-db
          fabric8.io/git-branch: release-v4.0.137
          fabric8.io/scm-devcon-url: scm:git:git@github.com:fabric8io/fabric8-platform.git/apps/gitea-db
          fabric8.io/scm-tag: app-console-2.0.1
        labels:
          service: gitea-db
          app: gitea-db
          provider: fabric8
          version: 4.0.137
          group: io.fabric8.platform.apps
      spec:
        containers:
        - env:
          - name: POSTGRESQL_DATABASE
            value: gitea
          - name: POSTGRESQL_PASSWORD
            value: mmuser_password
          - name: POSTGRESQL_USER
            value: mmuser
          - name: POD_IP
            valueFrom:
              fieldRef:
                fieldPath: status.podIP
          image: registry.centos.org/postgresql/postgresql:9.6
          imagePullPolicy: IfNotPresent
          livenessProbe:
            exec:
              command:
              - sh
              - -c
              - exec pg_isready --host $POD_IP
            failureThreshold: 6
            initialDelaySeconds: 60
            timeoutSeconds: 5
          name: gitea-db
          ports:
          - containerPort: 5432
            name: postgresql
            protocol: TCP
          readinessProbe:
            exec:
              command:
              - sh
              - -c
              - exec pg_isready --host $POD_IP
            initialDelaySeconds: 5
            periodSeconds: 5
            timeoutSeconds: 3
          volumeMounts:
          - mountPath: /var/lib/pgsql
            name: gitea-db-postgresql-data
            readOnly: false
        volumes:
        - name: gitea-db-postgresql-data
          persistentVolumeClaim:
            claimName: gitea-db-postgresql-data
    triggers:
    - type: ConfigChange
